package com.ruoyi.oa.domain;

import java.math.BigDecimal;

import com.ruoyi.common.core.domain.entity.CmcPostSalary;
import com.ruoyi.common.core.domain.entity.SysUser;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc人员预算对象 cmc_budget_staff
 * 
 * @author cmc
 * @date 2024-03-22
 */
public class CmcBudgetStaff extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 人员预算id */
    private Long budgetStaffId;

    /** 预算id */
    @Excel(name = "预算id")
    private String budgetId;

    /** 人员id */
    @Excel(name = "人员id")
    private Long userId;

    private SysUser user;

    /** 天数 */
    @Excel(name = "天数")
    private Integer days;

    private CmcPostSalary salary;

    /** 人员成本 */
    @Excel(name = "人员成本")
    private BigDecimal staffCost;

    public void setBudgetStaffId(Long budgetStaffId)
    {
        this.budgetStaffId = budgetStaffId;
    }

    public Long getBudgetStaffId()
    {
        return budgetStaffId;
    }
    public void setBudgetId(String budgetId) 
    {
        this.budgetId = budgetId;
    }

    public String getBudgetId() 
    {
        return budgetId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setUser(SysUser user)
    {
        this.user = user;
    }

    public SysUser getUser()
    {
        return user;
    }
    public void setDays(Integer days) 
    {
        this.days = days;
    }

    public Integer getDays() 
    {
        return days;
    }
    public void setStaffCost(BigDecimal staffCost) 
    {
        this.staffCost = staffCost;
    }

    public BigDecimal getStaffCost() 
    {
        return staffCost;
    }
    public void setSalary(CmcPostSalary salary)
    {
        this.salary = salary;
    }

    public CmcPostSalary getSalary()
    {
        return salary;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("budgetStaffId", getBudgetStaffId())
            .append("budgetId", getBudgetId())
            .append("userId", getUserId())
            .append("days", getDays())
            .append("staffCost", getStaffCost())
            .toString();
    }
}
